LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XTransferableEx Interface Referencepublished

Interface to be implemented by objects used to provide data for a transfer operation. More...

`import"XTransferableEx.idl";`

Inheritance diagram for XTransferableEx:

## Public Member Functions
sequence< DataFlavor > | queryTransferDataFlavors ([in] sequence< DataFlavor > requestedFlavors)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface to be implemented by objects used to provide data for a transfer operation.

See also
  com::sun::star::datatransfer::DataFlavor
  com::sun::star::datatransfer::XTransferable

## Member Function Documentation

## ◆ queryTransferDataFlavors()

sequence< DataFlavor > queryTransferDataFlavors | ( | [in] sequence< DataFlavor > | requestedFlavors | ) |

Parameters

  requestedFlavors | Sequence of DataFlavor of interest. Specify an empty sequence for interest in all data flavors with top-level MIME content-types. To get all MIME content-types, call com::sun::star::datatransfer::XTransferable::getTransferDataFlavors().

Returns
  The list of the matching supported DataFlavor that were requested. For each requested top-level MIME content-type, all supported subtypes are returned.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/XTransferableEx.idl